# Get Task List

## Get Task List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/crm?action=getTaskList`

Get a list of tasks.

#### Path Parameters

| Name    | Type    | Description                                          |
| ------- | ------- | ---------------------------------------------------- |
| venueId | integer | The unique id of the venue to which the task belongs |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 1,
        "start": 0,
        "perPage": 100,
        "count": 1
    },
    "results": [
        {
            "id": 1,
            "venueId": 76,
            "bookingId": null,
            "leadId": null,
            "name": "test name",
            "description": "<p>this is description</p> ",
            "status": 4,
            "contactId": null,
            "companyId": null,
            "companyContactId": null,
            "assignedUserId": 1,
            "assignedUserFullName": "Test  First",
            "assignedUserEmail": "test@example.com",
            "priority": "low",
            "endDatetime": "2018-03-27 09:00:00 UTC",
            "progress": 0,
            "createdDate": "2018-03-01 10:13:17 UTC",
            "modifiedDate": "2018-03-26 11:17:05 UTC"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the tasks the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

## Example Request

`Get a specific venue’s task List`

```javascript
{
  "venueId": "1",
}
```

## status:

One of the following values:

* 0 = Not Started
* 1 = In Progress
* 2 = On Hold
* 3 = Cancelled
* 4 = Completed


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/crm/get-task-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
